using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;
using e_suite.Database.Core.Models;

namespace e_suite.API.Common.models;

public class CreateOrganisation
{
    [JsonPropertyName("guid")]
    public Guid? Guid { get; set; }
    [JsonPropertyName("name")]
    [Required]
    public string Name { get; set; } = string.Empty;
    [JsonPropertyName("address")]
    [Required]
    public string Address { get; set; } = string.Empty;
    [JsonPropertyName("status")]
    [Required]
    public OrganisationStatus Status { get; set; }
}